Summary:	A netload plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka obciążanie sieci dla panelu Xfce
Name:		xfce4-netload-plugin
Version:	1.5.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-netload-plugin/1.5/%{name}-%{version}.tar.xz
# Source0-md5:	b1c5226d0dac6f942f2747159f11060f
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	meson >= 0.57.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin displays the current load of the network interfaces of
your choice in the panel.

%description -l pl.UTF-8
Wtyczka ta wyświetla aktualne obciążenie wybranych interfejsów
sieciowych na panelu.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libnetload.so
%{_datadir}/xfce4/panel/plugins/netload.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%changelog
* Fri May 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-netload-plugin.git;a=log;h=master

* Fri May 23 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b5b2a95
- up to 1.5.0

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ab2b554
- up to 1.4.2

* Sun Apr 30 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 66eb6c0
- up to 1.4.1

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 246d463
- rebuild with separate debuginfo build-ids

* Sun Mar 28 2021 Jan Rękorajski <baggins@pld-linux.org> 71e0b5e
- drop unsupported locale
- rel 2

* Wed Mar 10 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 01030a4
- up to 1.4.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> aa3367d
- up to 1.3.2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 9a8e822
- sysctl is not used on linux and that header breaks build on x32
- rel 2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 0fa57be
- up to 1.2.4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c3c2d0c
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 948ec15
- updated files
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 736636e
- up to 1.2.2

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> ce99a60
- up to 1.2.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 497ec6c
- rel 2

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ae56f61
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 706aa48
- updated to 1.1.0

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 705a367
- rel 2
- port to libxfce4ui

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9af0c3c
- updated to 1.0.0

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> bf840cc
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 739220f
- tabs in preamble

